Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List push devices

Prev Next
Post
/list/push-devices

Used to get detailed information of the push actions sent to individual devices or profiles.


Simple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.

Each individual event for a campaign where messages are sent is known as a push action.


Note: This endpoint allows pulling information for device and profile-based campaigns (such as push, on-site, email, SMS).

Body parameters
Result
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "campaign_id",
      "=",
      "YOUR_CAMPAIGN_ID"
    ],
    [
      "error",
      "=",
      "1"
    ]
  ],
  "limit": "50",
  "offset": "0",
  "select": [
    "campaign_id",
    "action_id",
    "create_time",
    "device_id",
    "error_message"
  ]
}
object
apptoken
string Required

Your App token

id
integer (int32) Required

ID of the push notification

limit
integer (int32)

Used with offset for pagination

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "code": "200",
  "data": [
    {
      "action_id": "21714179",
      "campaign_id": "245624",
      "create_time": "1485883608",
      "device_id": "17186391",
      "error_message": "Not personalized"
    },
    {
      "action_id": "759147",
      "campaign_id": "245624",
      "create_time": "1464355910",
      "device_id": "4599293",
      "error_message": "Application is Uninstalled"
    }
  ],
  "success": "True"
}
Expand All
object
code
integer
Default0
Example200
success
boolean
Defaulttrue
ExampleTrue
data
Array of object
object
action_id
integer
Default0
Example21714179
campaign_id
integer
Default0
Example245624
create_time
integer
Default0
Example1485883608
device_id
integer
Default0
Example17186391
error_message
string
ExampleNot personalized
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string